memusagestat(1)

NUME
memusagestat - generează un grafic din datele de profilare a memoriei

REZUMAT
memusagestat [opțiune]... fișier-date [fișier-ieșire]

DESCRIERE
memusagestat creează un fișier PNG care conține o reprezentare grafică a datelor de profilare a memoriei din fișierul fișier-date; acest fișier este generat prin intermediul opțiunii -d (sau --data) din memusage(1).

Linia roșie din grafic arată utilizarea grămezii „heap” (memoria alocată), iar linia verde arată utilizarea stivei. Scara x este fie numărul de apeluri de funcții de gestionare a memoriei, fie (dacă este specificată opțiunea -t) timpul.

OPȚIUNI

-o fișier, --output=fișier
    Numele fișierului de ieșire.

-s șir, --string=șir
    Utilizează șir ca titlu în interiorul graficului de ieșire.

-t, --time
    Utilizează timpul (mai degrabă decât numărul de apeluri de funcții) ca scală pentru axa X.

-T, --total
    Desenează, de asemenea, un grafic al consumului total de memorie.

-x dimensiunea, --x-size=dimensiunea
    Face ca graficul de ieșire să aibă o lățime de dimensiunea pixeli.

-y dimensiunea, --y-size=dimensiunea
    Face ca graficul de ieșire să aibă o înălțime de dimensiunea pixeli.

-?, --help
    Imprimă un mesaj de ajutor și iese.

--usage
    Imprimă un mesaj scurt de utilizare și iese.

-V, --version
    Afișează informațiile despre versiune și iese.

ERORI
Pentru a raporta erori, consultați http://www.gnu.org/software/libc/bugs.html

EXEMPLE
A se vedea memusage(1).

CONSULTAȚI ȘI
memusage(1), mtrace(1)

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.